function uequi=modelDEBV1Equi(u);
global f kE g kM k YRE r K mu
global A T In0
global adlib
global level
fconst=f;
n=length(u);
Nind=(n-1)/2;
R=u(1);e=u(2);V=u(3);
%omega=2*pi*(T>0)/(T + (T==0));
I=In0%+A*(1-sin(omega*t));
%half saturation constant is 1
f=R/(1+R);
% adlib=2;            % 1 =  Constant resource ; 0 = Variable abiotic resource; 2 = Living resource
% A=0.1;T=10;           % Amplitude and period of food input rate for variable resources simulations
% In0=50;
% level=2;            % 1 = individuals; 2=population
switch adlib
    case 0
        dR=I-k*R-sum(kE/YRE*f*V);
    case 1
        dR=0;f=fconst;
    case 2
        dR=r*R*(1-R/K)-sum(kE/YRE*f*V);
end
if level==1
    MU=0;
else
    MU=mu;
end
uequi(1)=dR;
uequi(2)=kE*(f-e);
uequi(3)=(kE*e-kM*g)./(e+g).*V-MU*V;
%[dR;de;dV];
